org.apache.tapestry5.internal.services

## Class RootPathDispatcher

- java.lang.Object
- - org.apache.tapestry5.internal.services.RootPathDispatcher

- All Implemented Interfaces:
    Dispatcher

      public class RootPathDispatcher
      extends Object
      implements Dispatcher

  Recognizes a request for the application root (i.e., "/") and handles this the same as a render request for the "Start" page. Support for the Start page is kept for legacy purposes, Index pages are the correct approach.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootPathDispatcher(ComponentClassResolver componentClassResolver, ComponentRequestHandler handler, String startPageName, LocalizationSetter localizationSetter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `dispatch(Request request, Response response)` Analyzes the incoming request and performs an appropriate operation for each.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RootPathDispatcher

          public RootPathDispatcher(ComponentClassResolver componentClassResolver,
                                    ComponentRequestHandler handler,
                                    @Symbol(value="tapestry.start-page-name")
                                    String startPageName,
                                    LocalizationSetter localizationSetter)

  - ### Method Detail

    - #### dispatch

          public boolean dispatch(Request request,
                                  Response response)
                           throws IOException

      Description copied from interface: `Dispatcher`
      Analyzes the incoming request and performs an appropriate operation for each.
      Specified by:
        `dispatch` in interface `Dispatcher`
      Returns:
        true if a response was delivered, false if the dispatcher did not handle the request (and a search for a handler should continue)
      Throws:
        `IOException`

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.